=== debian/changelog ===
libcharon (4.4.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Feb 2020 13:02:19 +0100

libcharon (4.4.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Jan 2020 13:53:43 +0100
