=== debian/control ===
Source: libcharon
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders:
 Gregor Riepl <onitake@gmail.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake (>= 3.12),
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-coverage,
 python3-dbus,
 python3-gi,
 python3-pyqt5,
 python3-pytest,
Standards-Version: 4.5.0
Section: python
Homepage: https://github.com/Ultimaker/libCharon
Vcs-Browser: https://salsa.debian.org/3dprinting-team/libcharon
Vcs-Git: https://salsa.debian.org/3dprinting-team/libcharon.git

Package: python3-charon
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-dbus,
 python3-gi,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
Description: file metadata and streaming library for cura
 This library will read and write several 3D-printing related file formats.
 It is used by cura, the GUI G-code generator for 3D printers.
