=== debian/watch ===
version=4
https://github.com/Ultimaker/libCharon/tags .*/archive/(\d\.\S+)\.tar\.gz
