## libcharon 4.6.2

=== debian/changelog ===
libcharon (4.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 11:10:13 +0200

libcharon (4.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 22:07:42 +0100
