## libcharon 4.8

=== debian/changelog ===
libcharon (4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * debian/watch: Handle -beta releases.
  * Mark autopkgtest as superficial. (Closes: #974461)

 -- Christoph Berg <myon@debian.org>  Fri, 13 Nov 2020 16:27:23 +0100

libcharon (4.7.1-1) unstable; urgency=medium

  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 22:35:03 +0200
