=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

#export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}

%:
	dh $@ --buildsystem=pybuild --with python3
