=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/Ultimaker/libCharon/tags .*/archive/(\d\.\S+)\.tar\.gz
