=== debian/changelog ===
libcharon (4.13.0-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Fix systemd service path. Closes: #1034210

 -- Christoph Berg <myon@debian.org>  Tue, 18 Apr 2023 22:29:20 +0200

libcharon (4.13.0-1) unstable; urgency=medium

  * Fix GitHub watch file.
  * New upstream version 4.13.0.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:07:02 +0100
