=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Vcs-Git: https://salsa.debian.org/3dprinting-team/libcharon.git
 
 Package: python3-charon
-Section: python
 Architecture: all
 Multi-Arch: foreign
 Depends:
