=== debian/changelog ===
libcharon (5.0.0-4) unstable; urgency=medium

  * Remove charon.service, it's only needed on Ultimaker hardware
    See: https://github.com/Ultimaker/libCharon/issues/45

 -- Gregor Riepl <onitake@gmail.com>  Tue, 25 Jul 2023 21:16:10 +0200

libcharon (5.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:33:03 +0000

libcharon (5.0.0-2) experimental; urgency=medium

  [ Gregor Riepl ]
  * Fix systemd service path. Closes: #1034210

 -- Christoph Berg <myon@debian.org>  Tue, 18 Apr 2023 22:26:02 +0200

libcharon (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.0.0

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 24 May 2022 09:56:01 -0600
