=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
  Gregor Riepl <onitake@gmail.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- cmake (>= 3.12),
+ cmake,
  debhelper-compat (= 12),
  dh-python,
  python3-all-dev,
  python3-coverage,
  python3-dbus,
  python3-gi,
- python3-pyqt5,
+ python3-pyqt6,
  python3-pytest,
 Standards-Version: 4.5.0
 Section: python
@@ -26,7 +26,7 @@
 Depends:
  python3-dbus,
  python3-gi,
- python3-pyqt5,
+ python3-pyqt6,
  ${misc:Depends},
  ${python3:Depends},
 Description: file metadata and streaming library for cura
