=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #DPKG_EXPORT_BUILDFLAGS = 1
 #include /usr/share/dpkg/buildflags.mk
 
-#export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
+export PYBUILD_CONFIGURE_ARGS=-DPYVER={version} -DINSTALL_SERVICE=OFF
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
