=== debian/tests/control ===
--- 
+++ 
@@ -2,3 +2,4 @@
 Depends:
  python3-all,
  @,
+Restrictions: superficial
