=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/Ultimaker/libCharon/tags .*/(\d\.\S+)\.tar\.gz
